////////////////////////////////////////////////////////////////////////////
//           kill for Windows   Ver. 0.5
//                                   Copyright(C) 2006 ksk@binzume.net

// USAGE:  kill PID

#include <windows.h>
#include <stdio.h>

int main(int argc,char **argv)
{
	int flag=0,i,pid=-1;

	for (i=1;i<argc;i++) {
		if (argv[i][0]=='-') {
			flag=atoi(argv[i]+1);
		} else {
			pid=atoi(argv[i]);
		}
	}

	if (pid>=0) {
		HANDLE hProcess = OpenProcess(PROCESS_TERMINATE, FALSE, pid);
		if (!hProcess) {
			printf("Process %d is not found.\n",pid);
			return 1;
		}
		TerminateProcess(hProcess , flag );
		CloseHandle(hProcess);
	} else {
		printf("USAGE: %s PID\n",argv[0]);
	}
	return 0;
}

