////////////////////////////////////////////////////////////////////////////
//           shutdown for Windows   Ver. 0.5
//                                   Copyright(C) 2006 ksk@binzume.net

// USAGE: shutdown -[-prlSfh]

#include <windows.h>
#include <stdio.h>

//#pragma link "kernel32.lib" // BCC
#pragma comment(lib, "user32.lib")
#pragma comment(lib, "advapi32.lib")

int main(int argc,char **argv)
{
	HANDLE hToken;
	TOKEN_PRIVILEGES tknPrvlgs;

	OpenProcessToken(GetCurrentProcess(),
			TOKEN_ADJUST_PRIVILEGES|TOKEN_QUERY, &hToken);
	LookupPrivilegeValue("", SE_SHUTDOWN_NAME, &(tknPrvlgs.Privileges[0].Luid));
	tknPrvlgs.PrivilegeCount = 1;
	tknPrvlgs.Privileges[0].Attributes = SE_PRIVILEGE_ENABLED;

	AdjustTokenPrivileges(hToken, false, &tknPrvlgs,
			sizeof(TOKEN_PRIVILEGES), 0, 0);

	int flag=EWX_SHUTDOWN,i;
	
	for (i=1;i<argc;i++) {
		if (argv[i][0]=='-') {
			char *c=argv[i]+1;
			while (*c) switch(*c++) {
			case 'r':
				flag |= EWX_REBOOT;
				break;
			case 'p':
				flag |= EWX_POWEROFF;
				break;
			case 'f':
				flag |= EWX_FORCE;
				break;
			case 'l':
				flag |= EWX_LOGOFF;
				break;
			case 'S':
				// TXyh
				SetSystemPowerState(0,0);
				return 0;
			case 'h':
				printf("USAGE: %s [-prlSfh]\n",argv[0]);
				printf("\t-p Shutdown and power off.\n");
				printf("\t-r Shutdown and reboot.\n");
				printf("\t-l Logoff.\n");
				printf("\t-S Suspend.\n");
				printf("\t-f force.\n");
				printf("\t-h show this message.\n");
				return 0;
			default:
				printf("USAGE: %s [-prlfhS]\n",argv[0]);
				return 1;
			}
		}
	}

	ExitWindowsEx(flag,0);

	return 0;
}

