////////////////////////////////////////////////////////////////////////////
//           uptime for Windows   Ver. 0.5
//                                   Copyright(C) 2006 ksk@binzume.net

// USAGE: uptime

#include <windows.h>
#include <stdio.h>

int main(int argc,char **argv)
{
	int i;
	for (i=1;i<argc;i++) {
		if (argv[i][0]=='-') {
			printf("USAGE: %s\n",argv[0]);
			return 1;
		}
	}

	SYSTEMTIME t;
	GetLocalTime(&t);
	printf("%02d:%02d ",t.wHour,t.wMinute);

	// uptime
	int days,hrs,mins,secs;
	unsigned long uptime=GetTickCount()/1000;

	days = uptime / 86400;
	uptime %= 86400;
	hrs = uptime / 3600;
	uptime %= 3600;
	mins = uptime / 60;
	secs = uptime % 60;
	printf(" up");
	if (days)
		printf(" %d day%s,", days, days > 1 ? "s" : "");
	if (hrs > 0)
		printf(" %2d:%02d,", hrs, mins);
	else if (mins > 0)
		printf(" %d hr%s,", hrs, hrs > 1 ? "s" : "");
	else
		printf(" %d sec%s,", secs, secs > 1 ? "s" : "");

	int users=1; // ??
	printf(" %d users\n",users);

	return 0;
}

